Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.SSL
Class SSLContext

    java.lang.Object
      weblogic.security.SSL.SSLContext

public final class SSLContext
extends Object

SSLContext holds all of the state information shared across all sockets created under that context.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`SSLContext()`
`SSLContext(String secureProtocol)`

Method Summary
`static SSLContext` | `getInstance(String secureProtocol)` Generates a new SSLContext object that implements the specified secure socket protocol.
`String` | `getProtocol()`
`String` | `getProvider()`
`SSLSocketFactory` | `getSocketFactory()` Returns an SSLSocketFactory object for this context.
`SSLSocketFactory` | `getSocketFactoryJSSE()` Deprecated. WLS 9.0 (04/2003) Replaced by getSocketFactory()
`void` | `loadLocalIdentity(Certificate[] certs, PrivateKey privateKey)` Load local identity certificate chain and key for client.
`void` | `loadLocalIdentity(InputStream[] streams)` Sets an RSA private key and chain of X.509 certificates for SSL client authentication.
`void` | `loadLocalIdentity(InputStream[] streams, String password)` Sets an RSA private key and chain of X.509 certificates for SSL client authentication.
`void` | `setHostnameVerifier(HostnameVerifier hv)` Sets the HostnameVerifier for this instance of this class.
`void` | `setHostnameVerifierJSSE(HostnameVerifierJSSE hv)` Deprecated. WLS 9.0 (04/2003) Replaced by setHostnameVerifier(HostnameVerifier)
`void` | `setTrustManager(TrustManager tm)` Sets the TrustManager for this instance of this class.
`void` | `setTrustManagerJSSE(TrustManagerJSSE tm)` Deprecated. WLS 9.0 (04/2003) Replaced by setTrustManager(TrustManager)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLContext

    public SSLContext()

### SSLContext

    public SSLContext(String secureProtocol)

Method Detail

### getInstance

    public static SSLContext getInstance(String secureProtocol)

  Generates a new SSLContext object that implements the specified secure socket protocol.

  Parameters:
    `secureProtocol` - The handshake protocol name.

### getProtocol

    public String getProtocol()

### getProvider

    public String getProvider()

### getSocketFactory

    public SSLSocketFactory getSocketFactory()

  Returns an SSLSocketFactory object for this context.

  Returns:
    SSLSocketFactory object for this context.

### getSocketFactoryJSSE

    public SSLSocketFactory getSocketFactoryJSSE()

  Deprecated. WLS 9.0 (04/2003) Replaced by getSocketFactory()

  Returns an SSLSocketFactory object for this context.

### loadLocalIdentity

    public void loadLocalIdentity(Certificate[] certs,
                                  PrivateKey privateKey)

  Load local identity certificate chain and key for client.

  Parameters:
    `certs` - Array of certificates. All but the first of the certificates are issuer certificates for the previous certificate.
    `privateKey` - Private key.

### loadLocalIdentity

    public void loadLocalIdentity(InputStream[] streams)

  Sets an RSA private key and chain of X.509 certificates for SSL client authentication. The array of input streams passed as an argument are DER encoded values, the first of which is a private key, followed by X.509 certificates. All but the first of the certificates are issuer certificates for the previous certificate.

  The InputStreams you use must support mark and reset. If you have PEM-encoded data, you can wrap your InputStreams in PEMInputStream classes before passing them in here.

  Parameters:
    `streams` - Array of InputStreams of DER encoded values
  See Also:
    `PEMInputStream`, `BufferedInputStream`

### loadLocalIdentity

    public void loadLocalIdentity(InputStream[] streams,
                                  String password)

  Sets an RSA private key and chain of X.509 certificates for SSL client authentication. The array of input streams passed as an argument are DER encoded values, the first of which is a private key, followed by X.509 certificates. All but the first of the certificates are issuer certificates for the previous certificate.

  The InputStreams you use must support mark and reset. If you have PEM-encoded data, you can wrap your InputStreams in PEMInputStream classes before passing them in here.

  Parameters:
    `streams` - Array of InputStreams of DER encoded values
    `password` - Password for private key
  See Also:
    `PEMInputStream`, `BufferedInputStream`

### setHostnameVerifier

    public void setHostnameVerifier(HostnameVerifier hv)

  Sets the HostnameVerifier for this instance of this class.

### setHostnameVerifierJSSE

    public void setHostnameVerifierJSSE(HostnameVerifierJSSE hv)

  Deprecated. WLS 9.0 (04/2003) Replaced by setHostnameVerifier(HostnameVerifier)

  Sets the HostnameVerifierJSSE for this instance of this class.

### setTrustManager

    public void setTrustManager(TrustManager tm)

  Sets the TrustManager for this instance of this class.

### setTrustManagerJSSE

    public void setTrustManagerJSSE(TrustManagerJSSE tm)

  Deprecated. WLS 9.0 (04/2003) Replaced by setTrustManager(TrustManager)

  Sets the TrustManager for this instance of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD